#include<iostream>
#include <iomanip>

using namespace std;

int main()
{
	int n,i,m,j;
	cin >> n;
	if(n<1 || n>200000)
	{
		return 0;
	}
	
	long double a[n],p[n],max=0,t,u=0;
	
	for(i=0;i<n;i++)
	{
		cin >> a[i] >> p[i];
		if(a[i]<1 || a[i]>1000000)
		{
			return 0;
		}
		if(p[i]<0 || p[i]>100)
		{
			return 0;
		}
		t=p[i]*100;
		t=t-int(t);
		if(t>0)
		{
			return 0;
		}
	}
	
	for(i=0;i<n;i++)
	{
		t=0;
		for(j=0;j<n;j++)
		{
			if(p[j]>=p[i])
			{
				t=t+(p[i]*a[j]/100);
			}
		}
//		cout<<endl<<i<<"t je:"<<t;
		if(t>max)
		{
			max=t;
		}
		
	}
	

	cout << fixed <<setprecision(4)<<max;
	
	
 	return 0;
}